Shure Update Utility streamlines the process of updating the firmware and software of compatible Shure products. Features include Windows and Apple operating system support and the ability to update hardware for various Shure products and systems.

Main Features

Main Features

The following Shure hardware can be updated using the Shure Update Utility:

  • Microflex® Wireless
  • Microflex® Advance
  • SCM820 Digital IntelliMix® Automatic Mixer
  • Axient Wireless Management Systems
  • PSM1000 In Ear Monitoring Systems
  • ULX-D Digital Wireless Systems
  • UHF-R Wireless Systems
  • QLX-D Digital Wireless Systems
  • GLX-D Digital Wireless System
  • KSE1500 Electrostatic Earphone System
  • SHA900 Portable Listening Amplifier
  • IntelliMix® P300 Audio Conferencing Processor
  • ANIUSB-MATRIX
  • ANI22
  • ANI4IN
  • ANI4OUT
  • AD1/2/4D/4Q/610
  • ULXD6/8
  • SBC450/850

Software Versions

Software Versions

Shure Update Utility 2.4 (Windows 7, 8, 10)

Operating System(s):

Windows 7, 8, 10

Release Notes:

IMPROVEMENTS

  • Added support for updating the following devices:
    • AD1/2 Transmitters
    • AD4D Two-Channel Receiver
    • AD4Q Four-Channel Receiver
    • AD610 Diversity ShowLink Access Point
    • ULXD6/8
    • SBC450/850
  • Added support for updating the following new bands:
    • QLX-D G62

KNOWN ISSUES

  • Attempts to download ULXD6/8 transmitter firmware to a ULX-D or QLX-D receiver that is not at the minimum firmware version will fail. To update firmware for ULXD6/8 transmitters with ULX-D or QLX-D receivers:
  1. Update receivers to the following minimum versions:
    • ULXD4, ULXD4D, ULXD4Q Receivers 2.1.16
    • QLXD4 Receivers 2.1.5
  2. Using Shure Update Utility, download ULXD6/8 transmitter firmware to the receivers.
  3. Using the FW Update menu on a receiver, update transmitters.
  • Microflex Wireless devices running version 1.X firmware must first be updated to version 2.0.5 before being updated to version 3.X or later.

NOTES

  • Shure Update Utility (SUU) version 2.4 requires 64-bit operating systems. To install SUU on a 32-bit computer, download version 2.2.2: Windows 7, 8, 10 or Mac OS X 10.9 – 10.11
  • Installing Shure Update Utility on Windows will also prompt the installation of a USB driver, which must be installed to support updating USB devices, like GLX-D.
  • KSE1500, SHA900 and GLX-D (USB 2.0 connected devices) must be updated one at a time.
  • USB hubs are not recommended when updating USB 2.0 connected devices. Always connect these devices directly to a USB terminal of the computer running Shure Update Utility.
  • Shure Update Utility 2.4 is compatible with Wireless Workbench 6.12.2 or later.

Shure Update Utility 2.4 (Mac OS X 10.10 -10.12)

Operating System(s):

OSX 10.10 - 10.12

Release Notes:

IMPROVEMENTS

  • Added support for updating the following devices:
    • AD1/2 Transmitters
    • AD4D Two-Channel Receiver
    • AD4Q Four-Channel Receiver
    • AD610 Diversity ShowLink Access Point
    • ULXD6/8
    • SBC450/850
  • Added support for updating the following new bands:
    • QLX-D G62

KNOWN ISSUES

  • Attempts to download ULXD6/8 transmitter firmware to a ULX-D or QLX-D receiver that is not at the minimum firmware version will fail. To update firmware for ULXD6/8 transmitters with ULX-D or QLX-D receivers:
  1. Update receivers to the following minimum versions:
    • ULXD4, ULXD4D, ULXD4Q Receivers 2.1.16
    • QLXD4 Receivers 2.1.5
  2. Using Shure Update Utility, download ULXD6/8 transmitter firmware to the receivers.
  3. Using the FW Update menu on a receiver, update transmitters.
  • Microflex Wireless devices running version 1.X firmware must first be updated to version 2.0.5 before being updated to version 3.X or later.

NOTES

  • Shure Update Utility (SUU) version 2.4 requires 64-bit operating systems. To install SUU on a 32-bit computer, download version 2.2.2: Windows 7, 8, 10 or Mac OS X 10.9 – 10.11
  • Installing Shure Update Utility on Windows will also prompt the installation of a USB driver, which must be installed to support updating USB devices, like GLX-D.
  • KSE1500, SHA900 and GLX-D (USB 2.0 connected devices) must be updated one at a time.
  • USB hubs are not recommended when updating USB 2.0 connected devices. Always connect these devices directly to a USB terminal of the computer running Shure Update Utility.
  • Shure Update Utility 2.4 is compatible with Wireless Workbench 6.12.2 or later.

Compatible Products

Compatible Products

You might also be interested in...

You might also be interested in...